MP4(3)

NAME

MP4GetTrackEditTotalDuration - Get the total duration of a sequence of track edit segments

SYNTAX

#include <mp4.h>

MP4Duration MP4GetTrackEditTotalDuration(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4EditId editId = MP4_INVALID_EDIT_ID
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

editId
    Specifies the edit segment for which the total duration is desired. A value of MP4_INVALID_EDIT_ID specifies that all edit segments should be included.

RETURN VALUES

The total duration of the edit segment sequence in track time scale units of the track in the mp4 file.

DESCRIPTION

MP4GetTrackEditTotalDuration returns the total duration of the specified sequence of track edit segments from the first edit segment up to and including the specified edit segment. If the edit id value is MP4_INVALID_EDIT_ID, then the total duration of all of the edit segments is returned.

Caveat: The value is in units of the track time scale.

SEE ALSO

MP4(3) MP4GetTrackEditDuration(3)